wemEditToolbar = {
    data: {},

    next: function (id) {
        if (this.data[id].total == 1) return;
        this.data[id].current = (this.data[id].current + 1 < this.data[id].total) ? this.data[id].current + 1 : 0;
        this.view(id)
    },
    previous: function (id) {
        if (this.data[id].total == 1) return;
        this.data[id].current = this.data[id].current > 0 ? this.data[id].current - 1 : this.data[id].total - 1;
        this.view(id)
    },
    view: function (id) {
        $('.wemEditToolbarParent'+id).hide();
        $('#wemEditToolbarContent'+id + this.data[id].current).show();
        $('#wemEditToolbarCount'+id).text('' + (this.data[id].current + 1) + '/' + this.data[id].total);
        $('#wemEditToolbarLabel'+id).text(this.data[id].names[this.data[id].current]);
    },

    addData:function(id,name) {
        if (typeof(this.data[id]) == 'undefined') {
            this.data[id] = {
                total:0,
                current:0,
                names:[]
            }
        }
        this.data[id].total ++;
        this.data[id].names.push(name);
    }
}