if (!renderContext.isPreviewMode()) {
    return;
}
if (!renderContext.mainResource.node.hasPermission("canPersonalizeWithMarketingFactory")) {
    return;
}
if(renderContext.mainResource.template.equals("personas")){
    return;
}

if (renderContext.getRequest().getParameterMap().containsKey("channel")) {
    return;
}

htmlHeadContent.append("<jahia:resource type=\"css\" key=\"\" path=\"" + renderContext.getRequest().getContextPath() + "/modules/marketing-factory-core/css/wem-persona-panel.css\" />\n");

p = """\
        <script type="text/javascript">
            var DMFPersona = DMFPersona || {};
            DMFPersona.panelOpened = false;

            /*This function add  or remove the class open to the panel wrapper div to animate it and change the panel picture (expand/collapse)*/
            DMFPersona.toogleClass = function(){
                var panel = document.querySelector('.panel_wrapper');
                panel.classList.toggle('open-panel');
                //Change Panel picture alternatively from expand to collapse
                DMFPersona.panelOpened = !DMFPersona.panelOpened;
                var panelPicture = document.getElementById('panelPicture');
                if(DMFPersona.panelOpened){
                    panelPicture.src="${renderContext.request.contextPath}/modules/marketing-factory-core/images/panel/collapse.png";
                }
                else{
                    panelPicture.src="${renderContext.request.contextPath}/modules/marketing-factory-core/images/panel/expand.png";
                }
            }
        </script>
        <!-- Sliding Drawer -->
        <div class="panel_wrapper" ng-switch="open">
            <!-- Toggle Drawer (Open button) -->
            <div class="panel_button" style="display: inline;">
                <a class="toggle_nav" href="#" onclick="DMFPersona.toogleClass()">
                    <img id="panelPicture" height="32" width="32" src="${renderContext.request.contextPath}/modules/marketing-factory-core/images/panel/expand.png" alt="expand"/>
                </a>
            </div>
            <div class="template_wrapper">
                <!-- Iframe with the personas editing template -->
                <iframe name="personas_panel" SRC="${renderContext.request.contextPath}${renderContext.getURLGenerator().getBasePreview()}${renderContext.site.path}.personas.html" scrolling="yes" height="800" width="500">
                </iframe>
            </div>
        </div>

"""

htmlBodyContent.append(p);
